Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Write_Guard< ACE_LOCK > Class Template Reference

This class is similar to class ACE_Guard, though it acquires/releases a write lock automatically (naturally, the <ace_lock> it is instantiated with must support the appropriate API). More...

`#include <Guard_T.h>`

Inheritance diagram for ACE_Write_Guard< ACE_LOCK >:

[legend]
Collaboration diagram for ACE_Write_Guard< ACE_LOCK >:

[legend]
List of all members.

## Public Member Functions
| ACE_Write_Guard (ACE_LOCK &m)
| Implicitly and automatically acquire a write lock.
| ACE_Write_Guard (ACE_LOCK &m, int block)
int | acquire_write (void)
| Explicitly acquire the write lock.
int | acquire (void)
| Explicitly acquire the write lock.
int | tryacquire_write (void)
| Conditionally acquire the write lock (i.e., won't block).
int | tryacquire (void)
| Conditionally acquire the write lock (i.e., won't block).
void | dump (void) const
| Dump the state of an object.

## Detailed Description

### template<class ACE_LOCK>
class ACE_Write_Guard< ACE_LOCK >

This class is similar to class ACE_Guard, though it acquires/releases a write lock automatically (naturally, the <ace_lock> it is instantiated with must support the appropriate API).

## Constructor & Destructor Documentation

template<class ACE_LOCK>
ACE_INLINE ACE_Write_Guard< ACE_LOCK >::ACE_Write_Guard | ( | ACE_LOCK & | m | ) |

| Implicitly and automatically acquire a write lock.

template<class ACE_LOCK>
ACE_INLINE ACE_Write_Guard< ACE_LOCK >::ACE_Write_Guard | ( | ACE_LOCK & | m,
|  | int | block
| ) |

| Implicitly and automatically acquire (or try to acquire) a write lock.

## Member Function Documentation

template<class ACE_LOCK>
ACE_INLINE int ACE_Write_Guard< ACE_LOCK >::acquire | ( | void |  | ) |

| Explicitly acquire the write lock. Reimplemented from ACE_Guard< ACE_LOCK >.

template<class ACE_LOCK>
ACE_INLINE int ACE_Write_Guard< ACE_LOCK >::acquire_write | ( | void |  | ) |

| Explicitly acquire the write lock.

template<class ACE_LOCK>
void ACE_Write_Guard< ACE_LOCK >::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Guard< ACE_LOCK >.

template<class ACE_LOCK>
ACE_INLINE int ACE_Write_Guard< ACE_LOCK >::tryacquire | ( | void |  | ) |

| Conditionally acquire the write lock (i.e., won't block). Reimplemented from ACE_Guard< ACE_LOCK >.

template<class ACE_LOCK>
ACE_INLINE int ACE_Write_Guard< ACE_LOCK >::tryacquire_write | ( | void |  | ) |

| Conditionally acquire the write lock (i.e., won't block).

The documentation for this class was generated from the following files:

- Guard_T.h
- Guard_T.cpp
- Guard_T.inl